/* Album View CSS */

#discography-page {
    margin: 1rem;
}

#discography {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 1rem 0;
    padding: 1rem;
    width: 100%;
    gap: 1rem;
    justify-content: center;
    align-content: center;
    box-sizing: border-box;
}

#discog-description {
    flex-shrink: 1;
    flex-grow: 1;
    font-style: italic;
    flex-wrap: wrap;
    display: flex;
    justify-content: center;
}

#discog-description p {
    margin: 0;
}

#discog-title {
    margin-bottom: 0.5rem;
}

.album {
    position: relative;
    box-shadow: 0px 6px 12px 0px var(--container-shadow);
    min-width: 200px;
    max-width: 300px;
    width: 30%;
    overflow: hidden;
}

.album-art {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.album-description {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: var(--container-fore);
    color: var(--text-primary);
    visibility: hidden;
    opacity: 0;
    transition:
        opacity 0.2s,
        visibility 0.2s;
    align-items: center;
    display: flex;
    justify-content: center;
    text-decoration: underline;
    padding: 0;
    margin: 0;
}

.album:hover .album-description,
.album:active .album-description {
    visibility: visible;
    opacity: 0.9;
}

.album:hover .album-art,
.album:active .album-art {
    filter: blur(1px);
}

#role-titles {
    list-style: none;
    padding-left: 0;
    margin-top: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: left;
    gap: 1rem;
    flex-wrap: wrap;
}
